Subject: Re: [PATCH 1/2 v4] s2io: add PCI error recovery support

From: Andrew Morton <[email-masked]>
Date: Mon, 21 May 2007 15:49:58 -0700

On Mon, 21 May 2007 17:23:57 -0500
[email-masked] (Linas Vepstas) wrote:

> On Mon, May 21, 2007 at 02:48:47PM -0700, Andrew Morton wrote:
> > On Mon, 21 May 2007 13:58:53 -0500
> > [email-masked] (Linas Vepstas) wrote:
> > > This patch adds PCI error recovery support to the 
> > 
> > This is already in Jeff's development tree.  Your new patch neither
> > applies nor unapplies, so if you've changed it, Jeff is now sitting
> > on an old version.  I assume he'd like an incremental update patch.
> 
> Ahh ! 
> 
> I assume I have to git-pull
>   /pub/scm/linux/kernel/git/jgarzik/netdev-2.6.git
> or something like that. Will try that now.

git://git.kernel.org/pub/scm/linux/kernel/git/jgarzik/netdev-2.6.git#ALL
should suit.

> The part that confuses me is that I'd gotten a message from Jeff
> back in March (well before 2.6.21 came out), saying it was in his
> development tree; yet, the patch its not in 2.6.22-rc; Torvalds
> hasn't yet pulled from it?

Look like it went into Jeff's tree on May 14.  2.6.22-rc1 was released on
May 13, so the patch missed the merge window.